package com.ruoyi.project.aspen.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.aspen.mapper.TElecdashboardDayMapper;
import com.ruoyi.project.aspen.domain.TElecdashboardDay;
import com.ruoyi.project.aspen.service.ITElecdashboardDayService;

/**
 * 电厂大屏每日数据Service业务层处理
 *
 * @author ruoyi
 * @date 2022-09-14
 */
@Service
public class TElecdashboardDayServiceImpl implements ITElecdashboardDayService
{
    @Autowired
    private TElecdashboardDayMapper tElecdashboardDayMapper;

    /**
     * 查询日期最靠前的30条电厂大屏每日数据
     *
     * @return 日期最靠前的30条电厂大屏每日数据
     */
    @Override
    public List<TElecdashboardDay> selectTElecdashboardDayListLatest30() {
        return tElecdashboardDayMapper.selectTElecdashboardDayListLatest30();
    }

    /**
     * 查询日期最靠前的7条电厂大屏每日数据
     *
     * @return 日期最靠前的7条电厂大屏每日数据
     */
    @Override
    public List<TElecdashboardDay> selectTElecdashboardDayListLatest7() {
        return tElecdashboardDayMapper.selectTElecdashboardDayListLatest7();
    }

    /**
     * 查询电厂大屏每日数据
     *
     * @param id 电厂大屏每日数据ID
     * @return 电厂大屏每日数据
     */
    @Override
    public TElecdashboardDay selectTElecdashboardDayById(Long id)
    {
        return tElecdashboardDayMapper.selectTElecdashboardDayById(id);
    }

    /**
     * 查询电厂大屏每日数据列表
     *
     * @param tElecdashboardDay 电厂大屏每日数据
     * @return 电厂大屏每日数据
     */
    @Override
    public List<TElecdashboardDay> selectTElecdashboardDayList(TElecdashboardDay tElecdashboardDay)
    {
        return tElecdashboardDayMapper.selectTElecdashboardDayList(tElecdashboardDay);
    }

    /**
     * 新增电厂大屏每日数据
     *
     * @param tElecdashboardDay 电厂大屏每日数据
     * @return 结果
     */
    @Override
    public int insertTElecdashboardDay(TElecdashboardDay tElecdashboardDay)
    {
        return tElecdashboardDayMapper.insertTElecdashboardDay(tElecdashboardDay);
    }

    /**
     * 修改电厂大屏每日数据
     *
     * @param tElecdashboardDay 电厂大屏每日数据
     * @return 结果
     */
    @Override
    public int updateTElecdashboardDay(TElecdashboardDay tElecdashboardDay)
    {
        return tElecdashboardDayMapper.updateTElecdashboardDay(tElecdashboardDay);
    }

    /**
     * 批量删除电厂大屏每日数据
     *
     * @param ids 需要删除的电厂大屏每日数据ID
     * @return 结果
     */
    @Override
    public int deleteTElecdashboardDayByIds(Long[] ids)
    {
        return tElecdashboardDayMapper.deleteTElecdashboardDayByIds(ids);
    }

    /**
     * 删除电厂大屏每日数据信息
     *
     * @param id 电厂大屏每日数据ID
     * @return 结果
     */
    @Override
    public int deleteTElecdashboardDayById(Long id)
    {
        return tElecdashboardDayMapper.deleteTElecdashboardDayById(id);
    }
}
